Index: channels/chan_iax2.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_iax2.c,v
retrieving revision 1.251
diff -u -r1.251 chan_iax2.c
--- channels/chan_iax2.c	18 Feb 2005 06:14:54 -0000	1.251
+++ channels/chan_iax2.c	19 Feb 2005 17:56:29 -0000
@@ -2765,8 +2765,13 @@
 			return -2;
 		}
 		if (c0->nativeformats != c1->nativeformats) {
-			if (option_verbose > 2)
-				ast_verbose(VERBOSE_PREFIX_3 "Operating with different codecs, can't native bridge...\n");
+			if (option_verbose > 2) {
+				char buf0[255];
+				char buf1[255];
+				ast_getformatname_multiple(buf0, sizeof(buf0) -1, c0->nativeformats);
+				ast_getformatname_multiple(buf1, sizeof(buf1) -1, c1->nativeformats);
+				ast_verbose(VERBOSE_PREFIX_3 "Operating with different codecs %d[%s] %d[%s] , can't native bridge...\n", c0->nativeformats, buf0, c1->nativeformats, buf1);
+			}
 			/* Remove from native mode */
 			lock_both(callno0, callno1);
 			iaxs[callno0]->bridgecallno = 0;
